Module | YARD::Templates::Helpers::MethodHelper
In: | lib/yard/templates/helpers/method_helper.rb

Helper methods for method objects.

### Methods

format_args format_block format_code format_constant format_lines format_return_types

### Public Instance methods

format_args(object)

@return [String] formatted arguments for a method

format_block(object)

@return [String] formatted block if one exists

format_code(object, show_lines = false)

@return [String] formats source of an object

format_constant(value)

@return [String] formats source code of a constant value

format_lines(object)

@return [String] formats line numbers for source code of an object

format_return_types(object)

@return [String] formatted and linked return types for a method

[Validate]